GET /api/v3/account/{accountId}/rate

Retrieves all rates for a particular account

GetAccountRatesV3 Permissions: Accounts (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
accountId The account identifier for which rate values are being retrieved integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

AccountRateResponse
Property Description Type
endDate The end date for the rate on the account meter string (date-time)
meter AccountMeterChild
AccountMeterChild properties
Property Description Type
accountMeterId The AccountMeter identifier integer (int32)
active Indicates whether the Meter is Active boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
endDate The ending date and time for this AccountMeter relationship string (date-time)
isCalculatedMeter Indicates whether the Meter is a calculated meter boolean
isSplitChildMeter Indicates whether the Meter is a child of a split boolean
isSplitParentMeter Indicates whether the Meter is a parent of a split boolean
meterCode The code of the Meter for this AccountMeter string
meterGeneralLedger GeneralLedgerChild
GeneralLedgerChild properties
Property Description Type
generalLedgerCode string
generalLedgerId integer (int32)
generalLedgerInfo string
meterId The Meter identifier for this AccountMeter integer (int32)
meterInfo The info of the Meter for this AccountMeter string
place PlaceChild
PlaceChild properties
Property Description Type
isDataRolledUp Tells whether or not the place’s data is rolled up to its parents. boolean
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
startDate The beginning date and time for this AccountMeter relationship string (date-time)
vendorType VendorTypeChild
VendorTypeChild properties
Property Description Type
vendorTypeCode The vendor type code string
vendorTypeId The vendor type identifier integer (int32)
name The rate name string
note The rate’s note string
rateCode The rate code string
rateId The meter tariff identifier integer (int32)
startDate The start date for the rate on the account meter string (date-time)
vendor VendorChild
VendorChild properties
Property Description Type
vendorCode The vendor code string
vendorId The vendor identifier integer (int32)
vendorInfo The vendor info string
Example Response application/json
[
  {    "endDate": "2026-03-30",    "meter": {      "accountMeterId": 1,      "active": false,      "commodity": {},      "endDate": "2026-03-30",      "isCalculatedMeter": false,      "isSplitChildMeter": false,      "isSplitParentMeter": false,      "meterCode": "string",      "meterGeneralLedger": {},      "meterId": 1,      "meterInfo": "string",      "place": {},      "startDate": "2026-03-30",      "vendorType": {}
    },    "name": "string",    "note": "string",    "rateCode": "string",    "rateId": 1,    "startDate": "2026-03-30",    "vendor": {      "vendorCode": "string",      "vendorId": 1,      "vendorInfo": "string"
    }
  }
]